## ros-noetic-clpe 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION "3.16")
project(clpe)

find_package(catkin REQUIRED)
find_package(PkgConfig REQUIRED)
pkg_search_module(gstreamer_app gstreamer-app-1.0 REQUIRED IMPORTED_TARGET)

add_library(${PROJECT_NAME} SHARED
  lib/ClpeClientApi.cpp
  lib/ClpeSocket.cpp
  lib/ClpeStream.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/${PROJECT_NAME}>)
target_link_libraries(${PROJECT_NAME} PUBLIC PkgConfig::gstreamer_app)

install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME})
install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

catkin_package(CFG_EXTRAS extra_dependencies.cmake)

=== Makefile ===
### Makefile for the Create CanLab CLPE Client API ###

TARGETS := all clean
SUBDIRS := lib main

.PHONY: $(TARGETS) $(SUBDIRS)

$(TARGETS): $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@ $(MAKECMDGOALS)

=== lib/Makefile ===
### Makefile for the Create CanLab CLPE Client API ###

CC=g++
AR=ar

CFLAGS	= -Wall

DFLAGS	+=

ARFLAGS	= crv

GSTREMER_PKG	= gstreamer-1.0
GSTREAMER_CFG	= `pkg-config $(GSTREMER_PKG) --cflags`
CDFLAGS	= $(CFLAGS) $(DFLAGS) $(INCLUDE) $(GSTREAMER_CFG)

LIBS	=
GSTREAMER_LIB	= `pkg-config $(GSTREMER_PKG) --libs`
GSTREMER_APP_PKG	= gstreamer-app-1.0
GSTREAMER_LIB	+= `pkg-config $(GSTREMER_APP_PKG) --libs`
LIBS	+= $(GSTREAMER_LIB)

LDFLAGS	+= $(LIBS)

LIB=libclpe.a
OBJS=ClpeSocket.o ClpeClientApi.o ClpeStream.o

$(LIB): $(OBJS)
		$(AR) rv $@ $(OBJS)

%.o: %.cpp
	 $(CC) $(CDFLAGS) -c -I../include $< -o $@ $(LDFLAGS) `pkg-config $(GSTREMER_PKG) --cflags`

clean:
		rm -f $(OBJS) $(LIB)

=== debian/changelog ===
ros-noetic-clpe (0.1.1-1focal) focal; urgency=high

  * remove eeprom
  * Contributors: Can-lab Corporation

 -- Dongwoo Sun <dwsun@can-lab.co.kr>  Wed, 24 Aug 2022 07:00:00 -0000

ros-noetic-clpe (0.1.0-1focal) focal; urgency=high

  * Provides libclpe
  * Contributors: Can-lab Corporation

 -- Dongwoo Sun <dwsun@can-lab.co.kr>  Wed, 20 Apr 2022 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-clpe
Section: misc
Priority: optional
Maintainer: Dongwoo Sun <dwsun@can-lab.co.kr>
Build-Depends: debhelper (>= 9.0.0), gir1.2-gst-plugins-base-1.0, gstreamer1.0-plugins-base, iputils-ping, libgstreamer-plugins-base1.0-0, libgstreamer-plugins-base1.0-dev, net-tools, network-manager, pkg-config, procps, ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-clpe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-gst-plugins-base-1.0, gstreamer1.0-plugins-base, iputils-ping, libgstreamer-plugins-base1.0-0, libgstreamer-plugins-base1.0-dev, net-tools, network-manager, procps
Description: clpe sdk
